=== debian/changelog ===
siggen (2.3.10-11) unstable; urgency=medium

  * update watch file

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 02 Dec 2020 00:13:30 +0100

siggen (2.3.10-10) unstable; urgency=medium

  * fix FTBFS with gcc10 (Closes: #957791)
  * fix more spelling errors detected by lintian
  * debian/control: use dh12
  * debian/control: bump standard to 4.5.0 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 06 Aug 2020 18:13:30 +0200

siggen (2.3.10-9) unstable; urgency=medium

  * Fix FTCBFS: Let dh_auto_build pass cross tools to make.
    (Thanks to Helmut Grohne for the patch) (Closes: #923571)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 02 Mar 2019 19:51:09 +0100

siggen (2.3.10-8) sid; urgency=medium

  * debian/control: bump standard to 4.3.0 (no changes)
  * debian/control: switch to dh11
  * debian/control: add salsa VCS URLs

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 05 Jan 2019 19:51:09 +0100

siggen (2.3.10-7) unstable; urgency=medium

  * disable -load in siggen.c and sweepgen.c (Closes: #716365)
  * debian/control: bump standard to 4.1.0 (no changes)
  * debian/control: switch to dh10

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 08 Sep 2017 22:51:09 +0200

siggen (2.3.10-6) unstable; urgency=medium

  * debian/rules: standard moved to 3.9.6 (no changes)
  * remove bashism from script (Closes: #772364)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 23 Sep 2015 22:51:09 +0200

siggen (2.3.10-5) unstable; urgency=low

  * new maintainer (closes: #628941)
  * debian/rules: remove explicit patch targets
  * debian/rules: replace dh_clean -k by dh_prep
  * debian/rules: build-arch and build-indep introduced
  * debian/rules: standard moved to 3.9.3 (no changes)
  * debian/watch: added, but not working with upstreams website
  * debian/control: dependency on quilt removed
  * debian/control: no public vcs available
  * debian/control: moved to dh 9
  * debian/patches: add header
  * debian/source/format: 3.0 (quilt) introduced

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 13 Mar 2012 18:51:09 +0100

siggen (2.3.10-4) unstable; urgency=low

  * QA upload
  * Fix identifier name conflict on freebsd

 -- Christoph Egger <christoph@debian.org>  Tue, 29 Nov 2011 15:29:26 +0100

siggen (2.3.10-3) unstable; urgency=low

  * QA upload.
  * Fix "please make siggen depends on oss-compat": add oss-compat to Depends;
    thanks to Michael Tsang and Daniel T Chen.
    (Closes: #628590)
  * Fix "FTBFS on !linux-any": add patch non-linux-diff from Samuel Thibault.
    (Closes: #636809)
  * Fix "typo in package description"; thanks to Davide Prina.
    (Closes: #628985)
  * Add {misc:Depends} to Depends:.
  * Set Maintainer to Debian QA Group <packages@qa.debian.org> (cf. #628941).

 -- gregor herrmann <gregoa@debian.org>  Tue, 29 Nov 2011 18:28:42 +0100

siggen (2.3.10-2) unstable; urgency=low

  * Fix segmentation fault on amd64, thanks to Jim Paris.
    (Closes: #522461)
  * Use quilt instead of dpatch for patches, and describe how to use
    quilt in Debian.source (thanks to Russ Allbery).
  * Added a Vcs-Hg control filed to indicate the location of the public
    repository.
  * Bumped the Standards-Version to 3.8.1.

 -- Jens Peter Secher <jps@debian.org>  Sat, 04 Apr 2009 22:57:38 +0200

siggen (2.3.10-1) unstable; urgency=low

  * New upstream release.
    (Closes: #470767)
  * Removed patches which are now included upstream.

 -- Jens Peter Secher <jps@debian.org>  Mon, 12 May 2008 22:05:48 +0200

siggen (2.3.9-2) unstable; urgency=low

  * Rename sgen to signalgen since Mono already has an executable called
    sgen.
    (Closes: #475963)

 -- Jens Peter Secher <jps@debian.org>  Sat, 26 Apr 2008 12:13:21 +0200

siggen (2.3.9-1) unstable; urgency=low

  * Initial package.
    (Closes: #469993)

 -- Jens Peter Secher <jps@debian.org>  Sat, 08 Mar 2008 10:43:46 +0100
