=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for siggen.
# Written by Jens Peter Secher <jps@debian.org>.

# General compile options.
cflags := -g
ifeq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	cflags += -O2
else
	cflags += -O0
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp

build-stamp:
	dh_auto_build -- CFLAGS="$(cflags)" tones signalgen swgen siggen sweepgen fsynth soundinfo smix
	touch $@

install-stamp: build
	dh_testdir
	dh_testroot
	dh_prep
	cp -f $(CURDIR)/sgen.1 $(CURDIR)/signalgen.1
	dh_installman
	dh_install
	touch $@

binary-indep:

binary-arch: install-stamp
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs CHANGES
	dh_installexamples
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

clean-patched:
	dh_testdir
	dh_testroot
	-rm -f $(CURDIR)/*-stamp
	rm -f  $(CURDIR)/signalgen.1
	$(MAKE) clean
	dh_clean

clean: clean-patched

.PHONY: binary binary-indep binary-archbuild build clean clean-patched
