=== debian/watch ===
version=4
opts=dversionmangle=s/.*/0.No-Release/ \
https://people.debian.org/~eriberto/ FakeWatchNoUpstreamReleaseForThisPackage-(\d\S+)\.gz

#version=3
#
# there is no real versioning on the upstream website
# http://www.comp.leeds.ac.uk/jj/linux/siggen.html
